# Before/After Field Formatter

Before/After Field Formatter will provide a field formatter for image fields so
that the images uploaded for an image field would be rendered as a Before and
After Images.

- For a full description of the module, visit the
[project page](https://www.drupal.org/project/before_after).

- Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/before_after).


## Contents of this file

- Requirements
- Installation
- Configuration
- Available options
- Integration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

- Download and Enable the module similar to other Drupal modules. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

- Visit any Image fields in Display settings, you will be able to find the
Before/After Field Formatter, Select this one and you would be able to select
image styles and another config.
Ex: admin/structure/types/manage/article/display


## Available options

- Image style
- Before After Buttons


## Integration

- This module works well with.
- Modules like Views and other Core modules, where image fields are used.
- We can also select Before/After Field Formatter in view image field formate.

Note: This Module will work if image field has 2 images, one which shows before
condition and second which show after condition.
(More than 2 images or less than 2 will disable the Before-After functionality.)


## Maintainers

Current maintainers:
- Swati Chouhan - [swatichouhan012](https://www.drupal.org/u/swatichouhan012)
